Package oracle.jdbc.xa

## Class OracleXAConnectionBuilderImpl

- java.lang.Object
- - oracle.jdbc.internal.AbstractConnectionBuilder<OracleXAConnectionBuilderImpl,​OracleXAConnection>
  - - oracle.jdbc.xa.OracleXAConnectionBuilderImpl

All Implemented Interfaces:
  `javax.sql.XAConnectionBuilder`, `OracleXAConnectionBuilder`

    public abstract class OracleXAConnectionBuilderImpl
    extends oracle.jdbc.internal.AbstractConnectionBuilder<OracleXAConnectionBuilderImpl,​OracleXAConnection>
    implements OracleXAConnectionBuilder

Oracle Implementation class for Connection Builder

### Constructor Summary

Constructors
`OracleXAConnectionBuilderImpl()`

### Method Summary

### Methods inherited from class oracle.jdbc.internal.AbstractConnectionBuilder

`accessToken, build, copy, ensureMutableState, executorOracle, getAllowSingleShardTransaction, getExecutor, getGSSCredential, getHostnameResolver, getInstanceName, getPassword, getRadiusChallengeResponseHandler, getReadOnlyInstanceAllowed, getServiceName, getShardingKey, getSSLContext, getSuperShardingKey, getTokenSupplier, getTraceEventListener, getUser, gssCredential, hostnameResolver, instanceName, password, password, radiusChallengeResponseHandler, readOnlyInstanceAllowed, serviceName, setImmutable, setTokenSupplier, shardingKey, shardingKey, singleShardTransactionSupport, sslContext, superShardingKey, superShardingKey, traceEventListener, unconfigured, user, verifyBuildConfiguration`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface oracle.jdbc.OracleXAConnectionBuilder

`build, gssCredential, password, readOnlyInstanceAllowed, shardingKey, shardingKey, sslContext, superShardingKey, superShardingKey, user`

### Constructor Detail

#### OracleXAConnectionBuilderImpl

    public OracleXAConnectionBuilderImpl()